4

yum update errors unpacking rpm packages

view full story
linux-howto

http://forums.fedoraforum.org – In previous post (http://forums.fedoraforum.org/showthread.php?t=231764) I reported an incident where a couple of packages failed to update because of errors unpacking rpm packages. There was no real problem because running yum update again resulted in successfully updating the previously failed packages. My latest yum update resulted in failures of 4 packages: Terminal, mutt, f-spot and gnome-media-libs. 32 packages were successfully updated. I tried 3 more times and each time those same packages failed. Then I tried updating just f-spot and got the following messages: Code:   Updating      : f-spot-0.6.1.2-3.fc11.i586                                                                                                                1/2 Error unpacking rpm package f-spot-0.6.1.2-3.fc11.i586 error: unpacking of archive failed on file /usr/share/locale/zh_CN/LC_MESSAGES/f-spot.mo;4ada311b: cpio: open f-spot-0.6.1.2-2.fc11.i586 was supposed to be removed but is not! In fact all the error messages I got had to do with /usr/share/locale/zh_CN/LC_MESSAGES. When I tried "ls" on /usr/share/locale/zh_CN/LC_MESSAGES/ I got: Code: [root@localhost LC_MESSAGES]# ls ls: reading directory .: Input/output error Backing up one directory and doing "ls -l" gives this: Code: [root@localhost zh_CN]# ls -l total 16 drwxr-xr-x. 2 root root 12288 2009-10-17 16:51 LC_MESSAGES drwxr-xr-x. 2 root root  4096 2009-09-16 21:52 LC_TIME 12288 seems a little odd for a directory. Any suggestions? Thanks Jim (HowTos)